import java.awt.*;
public class TrafficLight extends Canvas
{
	boolean status;
	public TrafficLight ()
	{
		super();
		status = false;
		this.setSize(30,30);
	}
	public void setStatus(boolean thestat)
	{
		status = thestat;
	}
	public Dimension getPreferredSize()
	{
		return new Dimension(30,30);
	}
	public Dimension getMinimumSize()
	{
		return new Dimension(30,30);
	}
  public void paint(Graphics g)
	{
		if (status) 
		  { g.setColor(Color.green); }
		else
			{ g.setColor(Color.red); }
		g.fillRect(0,0, getSize().width-1, getSize().height-1);
	//	System.out.println("painting...");
	}
	
	public void update(Graphics g)
	{
		paint(g);
	}

}